Bug 176020 - No match for USB device: Samsung ML-2010
No match for USB device: Samsung ML-2010
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
4
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-17 12:48 EST by Jeff Epler
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 08:44:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Epler 2005-12-17 12:48:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
system-config-printer prints the following message:
No match for USB device:
  mfr "Samsung"
  model "ML-2010"
  desc ""
  cmdset "GDI"
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.

This printer works by selecting "Samsung ML-1710", though this does not include support for the 1200x600 mode.

Version-Release number of selected component (if applicable):
foomatic-3.0.2-19

How reproducible:
Always

Steps to Reproduce:
1. At the shell prompt, execute "system-config-printer"
2. Configure printer with "Samsung ML-1710" driver
3. Read output at shell prompt
  

Actual Results:  The "No match for USB device" message was printed to the terminal window.

Expected Results:  system-config-printer should have automatically chosen the best available driver for this printer.

Additional info:

There does not seem to be an available open-source driver for the 1200x600DPI mode of this printer.  However, the 600x600DPI mode works when the "Samsung ML-1710" model is chosen.

There is a binary-only Linux driver provied by Samsung but it does not integrate well with CUPS.  It supports the 1200x600DPI mode.
Comment 1 Tim Waugh 2005-12-20 08:44:56 EST
Thanks for the report.  Please submit this information to the
linuxprinting project at:

  http://www.linuxprinting.org/contribute.html#data

Thanks.

Note You need to log in before you can comment on or make changes to this bug.